POST api/medistreamprogramapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

MediStreamProgramViewModel
NameDescriptionTypeAdditional information
medistream_id

globally unique identifier

Required

id

globally unique identifier

None.

local_id

integer

Range: inclusive between 0 and ∞

name

string

Required

active

boolean

Required

duration

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "medistream_id": "7bd9d749-cfbf-470f-aeb2-e9170f55939b",
  "id": "affe2f6b-f2d9-4b1c-861e-22773e532dfa",
  "local_id": 1,
  "name": "sample string 3",
  "active": true,
  "duration": 1
}

application/xml, text/xml

Sample:
<medistream_program xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <duration>1</duration>
  <id>affe2f6b-f2d9-4b1c-861e-22773e532dfa</id>
  <local_id>1</local_id>
  <medistream_id>7bd9d749-cfbf-470f-aeb2-e9170f55939b</medistream_id>
  <name>sample string 3</name>
</medistream_program>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"a5c13195-5ca2-4bac-8c18-2ffee71bb4b9"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">a5c13195-5ca2-4bac-8c18-2ffee71bb4b9</guid>